#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAF,0x26,0x0F,0xCD,0x54,0xC3,0xAA,0xA8,0xF5,0xB2,0x90,0xD0,
		0x74,0xC1,0xCB,0xC0,0x8B,0x0D,0x48,0x6F,0xFA,0xCE,0xCE,0xBE,
		0x20,0x99,0xD7,0x06,0xDA,0x3E,0xAF,0x95,0x5E,0x0F,0x19,0xF6,
		0x2D,0xD3,0x50,0xDF,0x1E,0x24,0x73,0xE5,0x7E,0xF0,0xC8,0x23,
		0xC1,0xB5,0x00,0x9E,0x9C,0x0F,0x0E,0xA9,0x22,0x19,0x34,0x84,
		0xA5,0x93,0xF1,0x23,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
